Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
01542 Color/Palette Minor Always Mar 18, 2008, 11:41 Apr 2, 2008, 16:25
Tester Layne View Status Public Platform MAME (Official Binary)
Assigned To nicolasa Resolution Fixed OS
Status [?] Resolved Driver cps1.cpp
Version 0.123u5 Fixed in Version 0.124u1 Build Normal
Summary 01542: 3wonders, 3wondersu, wonder3: Wrong colour of background in game selection and start screens
Description The colour of background in game selection screen is NOT black as showed in MAME, but it's red. And Midnight Wanderers and Chariot start screens are NOT black but blue. I think that Don't Pull start screen is blue too.
If someone has better pics from PCB please add them.
Steps To Reproduce
Additional Information
Flags Verified with Original
Regression Version
Affected Sets / Systems 3wonders, 3wondersu, wonder3
Attached Files
png file icon 0000.png (21,215 bytes) Mar 18, 2008, 11:41
png file icon 0001.png (7,309 bytes) Mar 18, 2008, 11:42
Relationships
related to 01519Resolvednicolasa msh: After beating the game, the screen turns different colors for the endings and everything 
related to 00410Resolvednicolasa xmcota: After a couple passes through the demo mode, the background on the qsound screen will go to a shade of green. 
Notes
7
User avatar
No.00233
Kold666
Developer
Mar 18, 2008, 17:38
no, the screen selection screen is an hardware weirdness of 3wonders.
it depends on the monitor used.
see this page:
http://hornet.homeftp.net/technical/3wonders/

OT:it's the page of the Amiga legendary music composer Uncle Tom :)
User avatar
No.00238
Layne
Tester
Mar 18, 2008, 22:21
Thank you, Kold! Well done, that page is really interesting!

So it can be moved to BTANB page, great! :)
User avatar
No.00277
Tafoid
Administrator
Mar 20, 2008, 03:39
Reopened to allow for user discussion
User avatar
No.00278
BMF54123
Tester
Mar 20, 2008, 04:09
I have to disagree with Kold666 here. His interpretation of the page seems to be backwards; it looks to me like the monitors that ARE working properly DO show the background colors, and thus MAME should follow suit. On the monitors without any background color, the rest of the colors are obviously wrong as well (as though the missing color is subtracted from the whole screen); conversely, on the monitors that do show the background color, the rest of the colors are rendered properly. It seems pretty obvious to me that the color is supposed to be there, and both MAME and the incompatible monitors are in the wrong. This seems to be the point that the linked page is trying to make as well; in Chapter 1, they even point out that the logos are anti-aliased against the missing color!
User avatar
No.00446
BMF54123
Tester
Mar 28, 2008, 06:08
edited on: Mar 28, 2008, 06:10
I just noticed something interesting in the video:

http://bmf.rustedlogic.net/misc/3wonders01.png

This is a screen capture from the video, with the same screen from MAME resized and overlaid on top. The white box represents the edges of the emulated screen after resizing (the game's actual resolution). Notice how the flickery blue gradient actually extends OUTSIDE the game's viewable area, into the overscan area, which is black during the rest of the game. This might add some credibility to the "unemulated overscan color" idea I posted:

http://www.mameworld.info/ubbthreads/showthreaded.php?Cat=&Number=147003&page=0&view=expanded&sb=5&o=&fpart=1&vc=1
User avatar
No.00448
Haze
Senior Tester
Mar 28, 2008, 08:35
I suspect it is something like that, with unwanted side-effects on some monitors. It probably sets the background colour in a completely different way to any of the other CPS games, no doubt 'incorrectly' but it worked in testing.
User avatar
No.00463
tormod
Tester
Mar 29, 2008, 10:40
UncleTom has updated his page with some new findings:

http://hornet.homeftp.net/technical/3wonders/